TIMER_DELETE(2)

NAME
timer_delete - delete a per-process timer (REALTIME)

LIBRARY
librt

SYNOPSIS
#include <time.h>
int
timer_delete(timer_t timerid);

DESCRIPTION
The timer_delete() system call deletes the specified timer, timerid, previously created by the timer_create(2) system call. If the timer is armed when timer_delete() is called, the behavior is as if the timer is automatically disarmed before removal. Pending signals for the deleted timer are cleared.

RETURN VALUES

ERRORS
The timer_delete() system call will fail if:

[EINVAL]
    The timer ID specified by timerid is not a valid timer ID.

SEE ALSO
timer_create(2)

STANDARDS
The timer_delete() system call conforms to p1003.1-2004

HISTORY
Support for POSIX per-process timer first appeared in FreeBSD 7.0.